Bug 987627 (CVE-2013-4162) - CVE-2013-4162 Kernel: net: panic while pushing pending data out of a IPv6 socket with UDP_CORK enabled
Summary: CVE-2013-4162 Kernel: net: panic while pushing pending data out of a IPv6 soc...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4162
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130701,repor...
Depends On: 987647 987648 987649 987651 987653 987654 987656 988355
Blocks: 984924
TreeView+ depends on / blocked
 
Reported: 2013-07-23 19:13 UTC by Prasad J Pandit
Modified: 2019-06-08 19:39 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 05:24:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1264 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-09-16 21:01:17 UTC
Red Hat Product Errata RHSA-2013:1292 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-09-26 21:19:22 UTC
Red Hat Product Errata RHSA-2013:1436 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-10-16 21:13:44 UTC
Red Hat Product Errata RHSA-2013:1520 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2013-11-14 22:40:03 UTC

Description Prasad J Pandit 2013-07-23 19:13:39 UTC
Linux kernel built with IPv6 networking is vulnerable to a crash while sending
data as a single datagram over IPv6 socket when UDP_CORK option set. UDP_CORK
enables accumulating data and sending it as a single datagram.

An unprivileged user/program could use this flaw to crash the kernel, resulting in local DoS.

Upstream fix:
=============
 -> https://git.kernel.org/linus/8822b64a0fa64a5dd1dfcf837c5b0be83f8c05d1


Acknowledgements:

Red Hat would like to thank Hannes Frederic Sowa for reporting this issue.

Comment 1 Prasad J Pandit 2013-07-23 19:47:53 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 6 may address this issue.

Comment 4 Prasad J Pandit 2013-07-23 19:57:09 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 987656]

Comment 9 errata-xmlrpc 2013-09-16 17:13:56 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html

Comment 10 errata-xmlrpc 2013-09-26 17:24:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1292 https://rhn.redhat.com/errata/RHSA-2013-1292.html

Comment 11 errata-xmlrpc 2013-10-16 17:14:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1436 https://rhn.redhat.com/errata/RHSA-2013-1436.html

Comment 12 errata-xmlrpc 2013-11-14 17:41:25 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1520 https://rhn.redhat.com/errata/RHSA-2013-1520.html


Note You need to log in before you can comment on or make changes to this bug.